texmath-0.13.1.2: Conversion between math formats.

Copyright | Copyright (C) 2014 Matthew Pickering
License | GNU GPL, version 2 or above
Maintainer | Matthew Pickering <matthewtpickering@gmail.com>
Stability | alpha
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.TeXMath.Unicode.Fonts

Description

Utilities to convert between MS font codepoints and unicode characters.

Synopsis

- getUnicode :: Font -> Char -> Maybe Char
- data Font = Symbol
- textToFont :: Text -> Maybe Font

# Documentation

getUnicode :: Font -> Char -> Maybe Char Source #

Given a font and codepoint, returns the corresponding unicode character

data Font Source #

Enumeration of recognised fonts

Constructors

Symbol | Adobe Symbol

#### Instances

Instances details

Show Font Source # |
Instance details Defined in Text.TeXMath.Unicode.Fonts Methods showsPrec :: Int -> Font -> ShowS Source # show :: Font -> String Source # showList :: [Font] -> ShowS Source #
Eq Font Source # |
Instance details Defined in Text.TeXMath.Unicode.Fonts Methods (==) :: Font -> Font -> Bool Source # (/=) :: Font -> Font -> Bool Source #

textToFont :: Text -> Maybe Font Source #

Parse font name into Font if possible.